Subject: bug#33146: .authinfo.gpg not automatically loaded when using (dired) on macOS

From: Christian Johansson <[email-masked]>
Date: Thu, 8 Nov 2018 16:37:09 +0100

Hi Michael

Would it be a huge task extending auto-source.el to make it compatible 
with ange-ftp as well?

I think many people would appreciate that feature, but it's not really a 
bug rather a feature request

Sounds good to improve the documentation about the possible work-around

Regards
Christian

On 2018-11-08 12:56, Michael Albinus wrote:
> Michael Albinus <[email-masked]> writes:
>
> Hi Christian,
>
>>> Alright, that worked. Would it be possible to make ange-ftp.el
>>> automatically aware of .authinfo files?
>>> I think that would improve user experience a lot.
>> Finally, it means that ange-ftp.el uses auth-source.el. Anything goes,
>> but somebody must implement it. And auth-source.el has its own
>> interpretation of the "port" element in .netrc/.authinfo lines, which is
>> kind of incompatible.
>>
>> I'll mark this bug report as wishlist. If nobody beats me I'll could do
>> it, but it will take time (too many other open requests). And for the
>> time being, you'll be able to apply the workaround.
> I have checked ange-ftp.el, and it does much more with the netrc file
> than auth-sources.el. For example, it handles also the "account" token.
>
> Therefore I have decided not to touch this. Instead, I have added the
> following text to the Tramp manual, section "5.12.1 Using an
> authentication file":
>
> --8<---------------cut here---------------start------------->8---
>     *Note* that ‘auth-source.el’ is not used for ‘ftp’ connections,
> because TRAMP passes the work to Ange FTP.  If you want, for example,
> use your ‘~/.authinfo.gpg’ authentication file, you must customize
> ‘ange-ftp-netrc-filename’:
>
>       (customize-set-variable 'ange-ftp-netrc-filename "~/.authinfo.gpg")
> --8<---------------cut here---------------end--------------->8---
>
> If you agree, I would close this bug.
>
>>> Regards
>>> Christian
> Best regards, Michael.